c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine calc_nmax(md,n_max)
      implicit none
      
      include 'max.inc'
      include 'data.inc'

      integer md,n_max

      if ((md.eq.0).or.(md.eq.m+1)) then
         n_max=n_tir
      else
         n_max=2*n_tir
      endif

      return
      end



      subroutine choice_sens(md,paq,n_max,sens,k0,k1)
      implicit none

      include 'max.inc'
      include 'data.inc'

      integer md,paq,n_max,sens,k0,k1
      
      
      if (md.eq.0) then
         sens=1
      else if (md.eq.m+1) then
         sens=0
      else
         if (paq.le.n_max/2) then
            sens=0
         else
            sens=1
         endif
      endif
      k0=0
      k1=0

      return
      end

      
