c     Copyright (C)
c     2000 -2013 Universite Paul Sabatier,
c     2000 -2013 Centre National de la Recherche Scientifique
c     2000 -2013 Ecole des Mines d'Albi
c     2014-2018 Msostar
c
c     This program is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 2, or (at your option)
c     any later version.

c     This program is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with this program; if not, write to the Free Software
c     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
c     USA.
c
      subroutine look_for_zeroes(Nb,Nq)
      implicit none
      include 'max.inc'
      include 'data.inc'

      integer i,j,band,quad,Nb,Nq
      
      do band=1,Nb
         do quad=1,Nq
            do i=1,m
               if (ka_gaz(band,i,quad).le.kmin) then
                  ka_gaz(band,i,quad)=kmin
               endif
               if (kd_gaz(band,i,quad).le.kmin) then
                  kd_gaz(band,i,quad)=kmin
               endif
               if (ka_aero(band,i,quad).le.kmin) then
                  ka_aero(band,i,quad)=kmin
               endif
               if (kd_aero(band,i,quad).le.kmin) then
                  kd_aero(band,i,quad)=kmin
               endif
               if (ka_cloud(band,i,quad).le.kmin) then
                  ka_cloud(band,i,quad)=kmin
               endif
               if (kd_cloud(band,i,quad).le.kmin) then
                  kd_cloud(band,i,quad)=kmin
               endif
            enddo ! sur i
         enddo ! sur quad
      enddo ! sur band


      return
      end
